UserAdminPortalAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.admin.user.UserAdminPortalAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.admin.user
Class UserAdminPortalAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.admin.user.UserAdminPortalAction

    public class UserAdminPortalAction

extends BaseDispatchAction

A `BaseDispatchAction` that sets up user admin portals.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`UserAdminPortalAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `addUserRoles(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `changeUserPassword(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `editUser(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected java.util.Properties` | `getKeyMethodMap()` Provides the mapping from resource key to method name
`org.apache.struts.action.ActionForward` | `listUsers(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `newUser(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `registerUser(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `setReturnPath(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String mode)` Set the return path for the current action, including the mode and (if necessary) user id request parameters.
`protected void` | `setUser(javax.servlet.http.HttpServletRequest request)` Set the user for the current action.
`org.apache.struts.action.ActionForward` | `viewUser(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute, setReturnPath, setReturnPath`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### UserAdminPortalAction

    public UserAdminPortalAction()

Method Detail

### getKeyMethodMap

    protected java.util.Properties getKeyMethodMap()

  Description copied from class: `BaseDispatchAction`
  Provides the mapping from resource key to method name

  Overrides:
    `getKeyMethodMap` in class `BaseDispatchAction`
  Returns:
    Resource key / method name map

### listUsers

    public org.apache.struts.action.ActionForward listUsers(org.apache.struts.action.ActionMapping mapping,
                                                            org.apache.struts.action.ActionForm form,
                                                            javax.servlet.http.HttpServletRequest request,
                                                            javax.servlet.http.HttpServletResponse response)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addUserRoles

    public org.apache.struts.action.ActionForward addUserRoles(org.apache.struts.action.ActionMapping mapping,
                                                               org.apache.struts.action.ActionForm form,
                                                               javax.servlet.http.HttpServletRequest request,
                                                               javax.servlet.http.HttpServletResponse response)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editUser

    public org.apache.struts.action.ActionForward editUser(org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### newUser

    public org.apache.struts.action.ActionForward newUser(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### viewUser

    public org.apache.struts.action.ActionForward viewUser(org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### changeUserPassword

    public org.apache.struts.action.ActionForward changeUserPassword(org.apache.struts.action.ActionMapping mapping,
                                                                     org.apache.struts.action.ActionForm form,
                                                                     javax.servlet.http.HttpServletRequest request,
                                                                     javax.servlet.http.HttpServletResponse response)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### registerUser

    public org.apache.struts.action.ActionForward registerUser(org.apache.struts.action.ActionMapping mapping,
                                                               org.apache.struts.action.ActionForm form,
                                                               javax.servlet.http.HttpServletRequest request,
                                                               javax.servlet.http.HttpServletResponse response)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUser

    protected void setUser(javax.servlet.http.HttpServletRequest request)
                    throws java.lang.Exception

  Set the user for the current action.

  Parameters:
    `request` - The request to get the session to store the returnPath into.
  Throws:
    `java.lang.Exception`

### setReturnPath

    protected void setReturnPath(javax.servlet.http.HttpServletRequest request,
                                 org.apache.struts.action.ActionMapping mapping,
                                 java.lang.String mode)
                          throws java.lang.Exception

  Set the return path for the current action, including the mode and (if necessary) user id request parameters.

  Parameters:
    `request` - The request to get the session to store the return path into.
    `mapping` - The ActionMapping to get the return path from.
    `mode` - The name of the current display mode.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.